WordPress foutmelding: Er heeft zich een kritieke fout voorgedaan op je website

Deze foutmelding (Engels: a critical error) komt vanaf versie 5.3 van WordPress.

Iets maakt dat de website niet meer kan draaien. De oorzaak is meestal dat na een update van een plugin, theme of WordPress Core iets niet meer klopt in de website. Je krijgt vanuit jouw WordPress website een e-mail met instructies hoe je toch kunt inloggen op de wp-admin.

Oplossen van deze kritische fout

Het snelste is de backup terugzetten van voor de upgrade(s), zie de handleiding: Backup van website terugzetten

Dan werkt de website wel, maar je weet meestal nog niet wat de oorzaak is. Je kunt in plaats van de backup terugzetten de error_logging op aan zetten in je cPanel > Software > Select PHP Version > Tabblad options. Selecteer daar E_ALL. Klik elders op de pagina en dit wordt weggeschreven. Roep incognito je website op. Resultaat zal zijn dat er in de error_log in je homedirectory een foutmelding komt die waarschijnlijk al veel toont waar je de fout moet zoeken.
Let er op dat je na het oplossen in cPanel error_logging weer op ~E_ALL zet!

Mogelijke oorzaken en bijhorende oplossingen

  1. Plugins
    De meest voorkomende oorzaak van deze kritische fout is het updaten van een plugin. Je kunt nu één voor één de plugins deactiveren, de cache legen en checken of de kritische foutmelding verdwenen is. Is dat het geval dan zul je de plugin blijvend moeten uitschakelen, of je kunt kijken of downgraden een oplossing biedt. Een handige plugin daarvoor is de WP Rollback plugin. Als je op de Rollback knop klikt bij de betreffende plugin, krijg je een lijst van versies waarna je kunt downgraden.

    Lukt het niet en is de plugin cruciaal voor de werking, neem dan contact op met de bouwer daarvan.

    Alternatief
    Maak in cPanel > Bestandsbeheer (File Manager) een tijdelijke map: /wp-content/plugins/temp
    Verplaats alle plugins uit /wp-content/plugins naar die map /wp-content/plugins/temp
    Plaats nu de eerste plugin terug naar /wp-contents/plugins, leeg de website cache en kijk incognito of de website nog goed draait of die kritische fout toont.
    Zo doe je dat stuk voor stuk met elke plugin die in de website gebuikt wordt en kun je bepalen of en zo ja welke plugin verantwoordelijk is voor de kritische fout.

  2. Theme
    Soms is het upgraden van het theme de oorzaak. Download en installeer dan de vorige versie van het theme, of zet de backup terug van de website en de database.
  3. WordPress Core
    Als de oorzaak ligt in upgraden van WordPress Core zelf, dan is het ook het beste de upgrade weer terug te draaien door de originele versie te installeren, of de backup van de website (bestanden en database) terug te zetten.
Heeft dit artikel je goed geholpen? Dank voor je feedback! Er is een probleem opgetreden bij het verzenden. Probeer opnieuw.

Nog steeds hulp nodig? Contact ons Contact ons